commit: 66dffa4b8c7318642804ab7e1c3a8fc369fcef42
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 14 02:31:00 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Jan 14 02:32:44 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66dffa4b
dev-ml/uutf: rebuild a proper library after running tests, bug #604674
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-ml/uutf/{uutf-1.0.0.ebuild => uutf-1.0.0-r1.ebuild} | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)
diff --git a/dev-ml/uutf/uutf-1.0.0.ebuild b/dev-ml/uutf/uutf-1.0.0-r1.ebuild
similarity index 84%
rename from dev-ml/uutf/uutf-1.0.0.ebuild
rename to dev-ml/uutf/uutf-1.0.0-r1.ebuild
index db5de1c..2e1b618 100644
--- a/dev-ml/uutf/uutf-1.0.0.ebuild
+++ b/dev-ml/uutf/uutf-1.0.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -32,8 +32,13 @@ src_compile() {
src_test() {
if use ocamlopt ; then
ocamlbuild -use-ocamlfind tests.otarget || die
- cd _build/test || die
+ pushd _build/test || die
./test.native || die
+ #Rebuild to avoid mismatches between installed files, bug
#604674
+ popd || die
+ ocaml pkg/pkg.ml build \
+ --with-cmdliner "$(usex utftrip true false)" \
+ || die
else
ewarn "Sorry, ${PN} tests require native support (ocamlopt)"
fi